import { AfterContentInit, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from "@angular/core";
import { Moment } from "moment/moment";
import { Subject } from "rxjs";
import { IDatePickerDisabledDate } from "./public-api";
/** @ignore */
export declare class DatePickerInnerComponent implements AfterContentInit, OnInit, OnChanges, OnDestroy {
    locale: string;
    datepickerMode: string;
    startingDay: number;
    yearRange: number;
    minDate: Moment;
    maxDate: Moment;
    minMode: string;
    maxMode: string;
    showWeeks: boolean;
    dateFormat: string;
    formatDay: string;
    formatMonth: string;
    formatYear: string;
    formatDayHeader: string;
    formatDayTitle: string;
    formatMonthTitle: string;
    onlyCurrentMonth: boolean;
    preserveInsignificant: boolean;
    disabledDates: IDatePickerDisabledDate[];
    initDate: Moment;
    inline: boolean;
    selectedDate: Moment;
    /** Is used to handle timezone of date value */
    handleTimezone: boolean;
    selectionDone: EventEmitter<Moment>;
    update: EventEmitter<Moment>;
    stepDay: any;
    stepMonth: any;
    stepYear: any;
    uniqueId: string;
    isTodayButtonDisabled: boolean;
    calendarMoved: Subject<Moment>;
    protected _value: Moment | undefined;
    protected _todayDate: Moment;
    protected refreshViewHandlerDay: Function;
    protected compareHandlerDay: Function;
    protected refreshViewHandlerMonth: Function;
    protected compareHandlerMonth: Function;
    protected refreshViewHandlerYear: Function;
    protected compareHandlerYear: Function;
    private modes;
    get role(): string;
    get value(): Moment | undefined;
    set value(value: Moment | undefined);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    shouldRefreshViewOnChanges(changes: SimpleChanges): boolean;
    setCompareHandler(handler: Function, type: string): void;
    compare(date1: Moment, date2?: Moment): number | undefined;
    setRefreshViewHandler(handler: Function, type: string): void;
    refreshView(): void;
    createDateObject(date: Moment, format: string): any;
    split(arr: any[], size: number): any[];
    select(date: string, event: any): void;
    move(direction: number, event: any): void;
    toggleMode(event: any, _direction?: number): void;
    isDisabled(date: Moment): boolean;
    formatDate(date: any, format: any): string;
    protected compareDateDisabled(date1Disabled: {
        date: Moment;
        mode: string;
    }, date2: Moment): number | undefined;
    ngOnDestroy(): void;
}
